/*
 * Site General Layout
 */

body {
    margin: 0px;
    color: var(--text-black);
    font-size: 18px;
    font-family: 'Roboto', sans-serif !important;
}

.header {
    width: 100%;
}

.layout-container {
    margin: 0;
    padding: 0;
    background: var(--lighter-grey);
}

/* limit width to 80% / 800px */
.primary_menu.inner,
main {
    /*max-width: 900px; */
    max-width: 1200px;
    width: 100%;
    padding: 0em 0em;
    margin: auto;
}

/* TRYING THE SIDEBAR ON BOOKS PAGE ONLY
/* MOVE THESE BITS TO MAIN MAIN FOR ALL PAGES
 * EXCEPT MATRIX

.books_page main {
    max-width: 1200px;
}

/*
 * if we have less than 1200 px screen estate,
 * bring the sidebar down at the bottom of the screen
 */
@media only screen and (max-width: 1200px) {
    main {
        flex-flow: column;
    }
}

/* END */


main {
    display: flex;
    flex-flow: row wrap;
    min-height: 40em;
}

.layout-content {
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: min-content;
    min-width: 250px;
    padding: 3em 5em;
    background: var(--text-background);
    border-left: 1px var(--light-grey) solid;
    border-right: 1px var(--light-grey) solid;
}

.content.inner {
    width: 100% !important;
}

/*
.content img {
    max-width: 100%;
    height: auto;
}
*/
/*
 * Gracious adaptation to smaller screens
 * try to keep it as minimum as possible
 * 2 sizes: small (768 px) and tiny (400 px)
 * 
 * accordions are adapted to small
 * fonts are adapted to tiny
 */
@media only screen and (max-width: 900px) {

    .inner,
    main {
        width: 100% !important;
    }

    body {
        font-size: 17px !important;
    }

    .layout-content {
        padding: 3em;
    }

    #gfi_big_logo {
        left: initial !important;
    }
}

/* margins as small as possible + no header image for tiny screen */
@media only screen and (max-width: 500px) {
    .header.region {
        background-image: none !important;
        text-align: center;
    }

    .site_header {
        height: 16em !important;

    }

    body {
        font-size: 16px !important;
    }

    .layout-content {
        padding: 3em 1em;
    }

    .logo_container {
        display: none !important;
    }

    #gfi_mini_logo {
        opacity: 1 !important;
    }
}


/*
 * Site header
 *
 #block-fi-2022-mainnavigation {
        position: relative;
        left: 14.2em;
 }
*/
.site_header {
    height: 550px;
    position: relative;
    background-size: contain, cover;
    background-color: black;
    background-position: center;
    background-repeat: no-repeat;
}

.logo_container {
    top: 450px;
    background: #000B;
    position: relative;
    z-index: 20;
}

#gfi_big_logo {
    left: -210px;
    position: relative;
    width: 500px;
    height: 100px;
}

.site_identity {
    position: absolute;
    bottom: 2em;
    padding: 1em;
    background-color: #fffe;
}

.site_title {
    font-size: 2em;
    font-weight: bold;
}

.logo_menu {
    position: relative;
    top: 0.4em;
    padding: 0em 2em;
}

#gfi_mini_logo {
    opacity: 0;
}

/*
 *  Menu Block
 */

.primary_menu.region {
    background-color: var(--black);
    position: sticky;
    top: 0;
    z-index: 999;
}

.primary_menu.inner {
    display: flex;
    flex-wrap: nowrap;
    height: 74px;
}

#block-mainnavigation {
    width: 100%;
}

/*
 * Onglet 
 */

.help li {
    display: inline-block;
    padding: 0.5em 1.5em;
    border: 1px solid #BFBFBF;
    background-color: #FAFAFA;
}

.help ul {
    margin-bottom: 0;
    padding-left: 0;
}


/*
 * Site Footer
 */

.footer.region {
    background-color: var(--black);
    color: var(--white);
}

#block-fi-2022-copyrightfooter {
    padding: 0.25em 0
}

.footer.region a,
.footer.region a:hover {
    color: var(--white);
    font-weight: bold;
}